Page MenuHomePhabricator

Add popup to introduce users to the talk page resolution workflow
Closed, ResolvedPublic2 Estimated Story Points

Description

Show popup to inform users about the new interface to resolve talk page conflicts when two users added a comment at the same place.

Mock-Up
Popup

Info icon location

Pop-up high res files

Wording
EN
Title: Conflicting Posts

Body: Unfortunately, someone else posted at the same time as you. Please review the comments on the next page. If needed, you can edit yours and change the final order.

Button: Resolve issue

DE
Title: Gleichzeitige Kommentare

Body: Leider hat jemand anderes zur gleichen Zeit wie du gepostet. Lies dir bitte die Kommentare auf der nächsten Seite durch. Falls nötig, kannst du deine Bearbeitungen und die endgültige Reihenfolge ändern.

Button: Problem lösen

The ticket does include

  • When the user is getting into that edit conflict for talk pages for the first time, they will be shown a popup explaining the circumstances and how to deal with them (similar to the regular edit conflict).
  • This popup to be disabled for future scenarios automatically
  • Adding an info icon on the interface where the popup can be shown again

Event Timeline

After splitting that up from T230231: Allow resolution suggestions of edit conflicts on talk pages I have two questions @Erdinc_Ciftci_WMDE @Hanna_Petruschat_WMDE. And sorry if I'm asking things I should know already ^^'

  • The text states, that the popup can be disabled. Does that mean, that the popup should behave differently than for the "normal" UI? There it only shows up once when the user sees it for the first time.
  • Can the popup be triggered again by clicking a/the question icon ( like it is done on the "normal" UI)? Would be nice to have that icon in the mock. But we could also just position it "like" in the "normal" UI.
  • The text and potential image for the popup are still WIP I guess. Please add them here if they are done.

I am not seeing any current designs on this in the figma file, @Erdinc_Ciftci_WMDE correct me if I'm wrong or this is located elsewhere.

To answer your questions, I think it should mimic the pattern already being used for the 2ColConflict page:

  1. Yes, it should be able to be disabled so it only shows up the first time. I believe this is already happening on the 2Col page.
  1. Yes, it should be able to be triggered with a help icon. This should again match. It is an information icon, I'll add a screenshot here of the existing design on the 2Col page. I'm currently not seeing this in the talk page mocks, so I'll discuss with Erdi to make sure it gets added.
  1. Yes it seems they need to be created, but I can prioritize getting these to you if this is a next step in the sprint. When would you need the final design and wording in order to not be slowed down by this?

Cool. So it behaves like in the "normal" UI. I think for the design we can mainly copy what we're doing there (see below). Same goes for the info icon I guess.

We would just need the text. And the image.

Ideally the image is a svg file but I just realized that we're currently using png files [1]. The image should come in two versions. One version for Left to Right languages ( see [1] ) and on for Right to Left ( see [2] ). ( I'm not sure if just having it mirrored there makes total sense. The flash looks a bit weird in RTL ^^' ).

[1] https://raw.githubusercontent.com/wikimedia/mediawiki-extensions-TwoColConflict/master/resources/ext.TwoColConflict.Split.Tour/slide1-ltr.png
[2] https://raw.githubusercontent.com/wikimedia/mediawiki-extensions-TwoColConflict/master/resources/ext.TwoColConflict.Split.Tour/slide1-rtl.png

P.S.: Maybe there's a svg version of that image around anywhere....

Change 582059 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/TwoColConflict@master] [WIP] Add a tour that introduces users to the new "suggested resolution" flow

https://gerrit.wikimedia.org/r/582059

@WMDE-Fisch Will this automatically be disabled after the first view with cookies or should we include a checkbox which says "Never show this again."

I think for the main edit conflict pop-up there is no checkbox so we should make a consistent choice.

For the Pop-Up design, we would like to get some input on the wording. I've just created a document showing the existing Pop-up and wording with the new design and our propositions. Any input is appreciated: https://docs.google.com/document/d/18nSkuw5ggIKTaUZntixlv6PRN6Yl6OsVxQDQKU3MfOY/edit?usp=sharing

ECohen_WMDE updated the task description. (Show Details)Mar 27 2020, 9:33 AM

I added my two cents to the wording

I just realized that we have two slightly different designs here for the talk page:

On

and
the different parts of the conflict are all aligned on the left side.

In this logo for the popup the two parts you can interact with are indented. ( And by accident that's also what I implemented for the dragable UI )

So what do we want to use? @ecohen @Erdinc_Ciftci_WMDE :-)

Oh I see - the indent in the diagram must be leftovers from previous designs? (Not sure since I wasn't here)

The two versions that you posted are correct from what I know. The top is the standard use case and the bottom is the no-JS use case.

Can you include a screen shot of the what the current dragable UI looks like?

The current work in progress implementation looks like this:

But it's just minor changes to the Html/CSS if we would need to implement the "aligned" content boxes from the two upper mocks.

ECohen_WMDE updated the task description. (Show Details)Mar 31 2020, 2:28 PM

Updated the task description with all the updated files and wording needed to complete this. Let me know if I should upload a png at specific pixel size.

Thanks for the screenshot @WMDE-Fisch Yes, I would align the boxes re the mocks if it's not major at this point.

Also, I think it was mentioned a couple times before - but I think this is enough direction for the users. I do not think any walkthrough / guiders are needed on the talk pages. The resolution and UI is much more straightforward.

Lena_WMDE set the point value for this task to 2.
Rost_WMDE updated the task description. (Show Details)Apr 1 2020, 12:41 PM

Change 582059 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Add a tour that introduces users to the new single column flow

https://gerrit.wikimedia.org/r/582059

In T247958#6014794, @ecohen wrote:

Updated the task description with all the updated files and wording needed to complete this. Let me know if I should upload a png at specific pixel size.

Thanks for the screenshot @WMDE-Fisch Yes, I would align the boxes re the mocks if it's not major at this point.

@ecohen Hey I just realized that it would be good to have a right to left version of the SVG ( basically everything needs to be flipped ). I tried to do that myself with Inkscape but all I end up with is either a file more than double the size or when I run the svgmin optimization I'm getting a file that I don't trust 100% ( due to a broken look in the Ubunut image viewer preview ). Thanks!

@WMDE-Fisch no problem! I can make a right-left SVG. Thanks for catching that

@WMDE-Fisch Here you go! Let me know if you need anything else

awight renamed this task from Add popup that introduces users to the resolution suggestion to Add popup and guided tour to introduce users to the talk page resolution workflow.Apr 7 2020, 8:11 PM
ECohen_WMDE renamed this task from Add popup and guided tour to introduce users to the talk page resolution workflow to Add popup to introduce users to the talk page resolution workflow.Apr 8 2020, 7:28 AM

Changed the title because there is no guided tour for the talk page resolution

In T247958#6036445, @ecohen wrote:

@WMDE-Fisch Here you go! Let me know if you need anything else

As follow up to my comment in the other ticket. ( T248559#6039205 ) The svg here is generally fine but for constancy we should think of flipping the arrows as well I guess. Thanks again!

Good call - sorry I missed this yesterday. Here you go!

Change 587695 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] Add RTL svg for single column tour

https://gerrit.wikimedia.org/r/587695

awight added a subscriber: awight.Apr 9 2020, 1:42 PM

This image is wrong. It's been produced by rotating 180°, but should have been mirrored horizontally. The yellow arrow should be on top, pointing left, and the blue on the bottom, pointing right.

Here you go

Change 587695 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Add RTL svg for single column tour

https://gerrit.wikimedia.org/r/587695

thiemowmde closed this task as Resolved.Apr 14 2020, 11:40 AM
thiemowmde claimed this task.
thiemowmde moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2020-04-01 board.